<?php
Route::get('/', 'Customer\UserController@home');
Route::get('/app', 'Customer\UserController@home');
Route::get('/app/register', function () {
    return view('customer/app/register');
});
Route::post('/app/register', 'Customer\UserController@create');
Route::get('/app/login', function () {
    return view('customer/app/login');
});
Route::post('/app/login', 'Customer\UserController@login');
Route::get('/app/forgetpassword', function () {
    return view('customer/app/forgetpassword');
});
Route::get('/customer/booking', 'Customer\BookingController@get_uuid');
Route::post('/app/customer', 'Customer\BookingController@create_url');
Route::post('/app/forgetpassword', 'Customer\UserController@forgetpassword');
Route::get('/app/profile', 'Customer\UserController@profile')->name('customer.profile');
Route::post('/app/profile/{id}', 'Customer\UserController@updateprofile')->name('customer.updateprofile');
Route::post('/app/profile_password', 'Customer\UserController@setpassword');
Route::get('/app/waitforpayment', 'Customer\PaymentController@list');
Route::get('/app/recipient/{country_code}/{keyword?}', 'Customer\BookingController@get_recipient');
Route::post('/app/save_temp', 'Customer\BookingController@save_temp');
Route::get('/app/read_temp', 'Customer\BookingController@temp_booking');
Route::get('/app/history', 'Customer\HistoryController@list');
Route::get('/tracking/{code?}', 'Customer\HistoryController@trackingUi');
Route::get('/app/tracking_json/{code}', 'Customer\HistoryController@tracking');
Route::get('/app/getawb/{code}', 'Customer\HistoryController@getawb');
Route::get('/app/history/{id}', 'Customer\HistoryController@detail');
Route::get('/app/payment', 'Customer\PaymentController@payment');
Route::post('/app/upload_payment', 'Customer\PaymentController@upload_payment');
Route::post('/app/upload_payment_attachment', 'Customer\PaymentController@upload_payment_attachment');
Route::post('/app/add_address', 'Customer\UserController@add_address');
Route::get('/app/set_address/{id}/{action}', 'Customer\UserController@set_address');
Route::get('/app/check_price', 'Customer\BookingController@check_price');
//Route::get('/app/booking', 'Customer\BookingController@booking');
Route::get('/app/copy/{id}', 'Customer\BookingController@copy_booking');
Route::post('/app/booking', 'Customer\BookingController@create');
Route::get('/app/logout', function () {
    Session::forget('cus');
    return back()->withInput();
});
Route::get('/app/paycompleted', function () {
    return view('customer/app/paycompleted');
});
Route::get('/app/bookingexcel', 'Customer\BookingController@bookingexcel');
Route::post('/app/bookingexcel', 'Customer\BookingController@create');
Route::get('/app/label/{id}', 'Customer\BookingController@booking_label');
Route::get('/app/genQRdealer', 'Customer\UserController@genQRcode');
Route::get('/app/pass/{token}', 'Customer\UserController@pass');
Route::post('/app/add_customer_address', 'Customer\UserController@add_customer_address');
Route::post('/app/del_customer_address/{id}', 'Customer\UserController@del_customer_address');
Route::get('/app/historydetail/{id}', 'Customer\HistoryController@detil');
Route::get('/app/historydetail/{id}/{token}', 'Customer\HistoryController@detilbytoken');
Route::get('/app/booking', 'Customer\BookingController@eship');
Route::post('/app/eshipment', 'Customer\BookingController@create');
Route::get('/app/gettracking/{id}', 'Customer\BookingController@gettracking');
Route::get('/app/upload_booking', 'Customer\BookingController@index_upload_booking');
Route::post('/app/upload_booking', 'Customer\BookingController@store_upload_booking');
Route::get('/app/check_session_member', 'Customer\UserController@check_session_member');
Route::get('payment', 'Customer\PaymentController@payment_pass');
Route::get('payment_attachment', 'Customer\PaymentController@payment_attachment');
Route::get('/getdiscount/{code}/{weight}/{service_id}/{country_code}', 'PriceController@getDiscount');

Auth::routes();
Route::get('logout', 'Auth\LoginController@logout');
Route::get('home', 'HomeController@work_redirect');
Route::get('/admin', 'HomeController@work_redirect');
Route::resource('/admin/currency', 'Admin\CurrencyController');
Route::get('/admin/auto_address', function () {
    return view('admin/add');
});
Route::resource('/admin/country', 'Admin\CountryController');
Route::resource('/admin/servicetype', 'Admin\ServiceTypeController');
Route::get('getOtherService/{id}', 'Admin\ServiceTypeController@getOtherService');
Route::resource('/admin/customer', 'Admin\CustomerController')->middleware('role:role_customer');
Route::post('/admin/add_customer_address', 'Admin\CustomerController@add_customer_address');
Route::post('/admin/del_customer_address/{id}', 'Admin\CustomerController@del_customer_address');
Route::resource('/admin/employee', 'Admin\EmployeeController')->middleware('role:role_employee');
Route::resource('/admin/service', 'Admin\ServiceController')->middleware('role:role_service');
Route::resource('/admin/servicegroup', 'Admin\ServiceGroupController')->middleware('role:role_service');
Route::resource('/admin/request', 'Admin\RequestController');
Route::post('/admin/update_shipment/{id}', 'Admin\RequestController@update_shipment');
Route::post('/admin/service/setzone/{id}', 'Admin\ServiceController@setzone');
Route::post('/admin/service/setgroup/{id}', 'Admin\ServiceGroupController@setgroup');
Route::post('/admin/service/setprice/{id}', 'Admin\ServiceController@setprice');
Route::post('/admin/service/setesc/{id}', 'Admin\ServiceController@setesc');
Route::post('/admin/service/price_set_date/{id}', 'Admin\ServiceController@price_set_date');
Route::get('/admin/getZone/{s_id}/{zone}', 'Admin\ServiceController@getZone');
Route::get('/admin/getCountryForZone/{s_id}', 'Admin\ServiceController@getCountryForZone');
Route::get('/admin/getBussinessDayByServiceZone/{s_id}/{zone}', 'Admin\ServiceController@getBussinessDayByServiceZone');
Route::get('/admin/price/{weight}/{country_id}', 'Admin\ServiceController@getPriceByWeight');
Route::get('/admin/quotation/sendemail/{id}', 'Admin\QuotationController@sendemail')->middleware('auth');
Route::get('/admin/quotation/view/{id}', 'Admin\QuotationController@view')->middleware('auth');
Route::get('/admin/quotation/edit/{id}', 'Admin\QuotationController@edit')->middleware('auth');
Route::get('/admin/quotation/{id}', 'Admin\QuotationController@show');
Route::get('/admin/quotation/{id}/{locale}', 'Admin\QuotationController@show');
Route::get('/admin/quotation', 'Admin\QuotationController@create')->middleware('auth');
Route::post('/admin/quotation_update/{id}', 'Admin\QuotationController@update')->middleware('auth');
Route::post('/admin/quotation_save', 'Admin\QuotationController@store')->middleware('auth');
Route::get('/admin/quotationlist', 'Admin\QuotationController@quotationlist')->middleware('auth');
Route::get('/admin/quotationlist/{id}', 'Admin\QuotationController@quotationlistDetail')->middleware('auth');
Route::get('/admin/mainpickupcost', 'Admin\QuotationController@mainpickupcost')->middleware('auth');
Route::get('/admin/mainpickupcost_ifram', 'Admin\QuotationController@mainpickupcost_ifram')->middleware('auth');
Route::get('/admin/hold', 'Admin\RequestController@hold');
Route::get('/admin/waitforsale', 'Admin\RequestController@waitforsale');
Route::get('/admin/waitforpickup', 'Admin\RequestController@waitforpickup');
Route::get('/admin/waitforcalculate', 'Admin\RequestController@waitforcalculate');
Route::get('/admin/waitforpayment', 'Admin\RequestController@waitforpayment');
Route::get('/admin/waitforproof', 'Admin\RequestController@waitforproof');
Route::get('/admin/search_history', 'Admin\RequestController@search_history');
Route::get('/admin/waitforrelease', 'Admin\RequestController@waitforrelease');
Route::get('/admin/cancel', 'Admin\RequestController@cancel');
Route::get('/admin/count_request/', 'Admin\RequestController@count_request');
Route::get('/admin/address/{country?}/{cityname?}/{zipcode?}', 'Admin\CountryController@address_verify');
Route::get('/admin/getcitybycountrycode/{country?}', 'Admin\CountryController@city_verify');
Route::get('/admin/getsuburb/{country?}/{city?}', 'Admin\CountryController@getsuburb');
Route::get('/admin/getaddress_thailand/{province?}/{amphur?}/{tumbon?}', 'Admin\CountryController@getaddress_thailand');
Route::get('/admin/getCustomer/{value}', 'Admin\CustomerController@getCustomer');
Route::get('/admin/checkEmailDup/{value}', 'Admin\CustomerController@checkEmailDup');
Route::get('/admin/getCustomer_by_id/{id}', 'Admin\CustomerController@getCustomer_by_id');
Route::post('/admin/edit_delivery/{id}', 'Admin\RequestController@edit_delivery');
Route::post('/admin/edit_customer/{id}', 'Admin\RequestController@edit_customer');
Route::get('/admin/update_hold/{id}/{remark?}', 'Admin\RequestController@update_hold');
Route::post('/admin/update_save/{id}/{remark?}', 'Admin\RequestController@update_save');
Route::post('/admin/update_complete/{id}/{remark?}', 'Admin\RequestController@update_complete');
Route::get('/admin/update_cancel/{id}/{remark?}', 'Admin\RequestController@update_cancel');
Route::get('/admin/update_cancel_mess/{id}', 'Admin\RequestController@update_cancel_mess');
Route::get('/admin/update_change_mess/{id}/{remark?}', 'Admin\RequestController@update_change_mess');
Route::get('create_dhlexpress_awb/{id}', 'Admin\DHLExpressController@create_awb');
Route::get('create_dhlecommerce_awb/{id}', 'Admin\DHLeCommerceController@create_awb');
Route::get('create_fedexInternational_awb/{id}', 'Admin\FedexController@create_awb');
Route::get('checkformat/{country}/{zipcode}', 'Admin\CountryController@checkformat');
Route::get('getprice/{service_id}/{country_code}/{weight}', 'PriceController@getprice');
Route::get('getprice/{country_code}/{weight}', 'PriceController@getprice_by_app');
Route::post('/admin/discount/{id}/{discount}', 'Admin\RequestController@discount');
Route::get('/admin/checkin', 'Admin\CheckController@in');
Route::get('/admin/checkout', 'Admin\CheckController@out');
Route::get('/admin/messenger', 'Admin\CheckController@mess');
Route::get('/admin/messenger_history', 'Admin\CheckController@mess_history');
Route::get('/admin/messenger_search', 'Admin\CheckController@mess_search');
Route::get('/smelabel/{id}', 'Admin\ReportController@smelabel');
Route::get('/address_customer/{id}', 'Admin\ReportController@address_customer');
Route::get('/dropoff/{id}', 'Admin\ReportController@dropOff');
Route::get('/admin/mess_check_in_by_box_id/{id}', 'Admin\CheckController@getDetailByShipmentCode_mess');
Route::get('/admin/getDetailByShipmentCode/{code}', 'Admin\CheckController@getDetailByShipmentCode');
Route::get('/admin/getDetailByAWBCode/{code}', 'Admin\CheckController@getDetailByAWBCode');
Route::post('/upload_invoice/{id}', 'Admin\UploadController@upload_invoice');
Route::get('/upload_resetinvoice/{id}', 'Admin\UploadController@upload_resetinvoice');
Route::post('/upload_payment/{id}', 'Admin\UploadController@upload_payment');
Route::post('/upload_so/{id}', 'Admin\UploadController@upload_so');
Route::post('/upload_pack/{id}', 'Admin\UploadController@upload_pack');
Route::get('/del_so/{id}', 'Admin\UploadController@del_so');
Route::get('/del_pack/{id}', 'Admin\UploadController@del_pack');
Route::get('/upload_resetpayment/{id}', 'Admin\UploadController@upload_resetpayment');
Route::get('/set_return/{id}', 'Admin\ReturnController@set_return');
Route::get('/update_price', 'Admin\ScuduleJobController@update_price');
Route::get('noti/', 'Notification\NotificationController@sendMessage');
Route::get('/admin/dashboard/', 'Admin\DashboardController@summary');
Route::get('/admin/dashboardall/', 'Admin\DashboardController@summaryall');
Route::get('/admin/copyService/{service_id}', 'Admin\ServiceController@copyService');
Route::post('/admin/add_address', 'Admin\CustomerController@add_address');
Route::get('/admin/email', 'Admin\CustomerController@email');
Route::get('/admin/search_print', 'Admin\RequestController@print');
Route::get('/sendsms/{tel}', 'Admin\CustomerController@sendsms');
Route::get('/admin/copy/{id}', 'Admin\RequestController@copy');
Route::get('/admin/checkinbox', 'Admin\CheckController@checkinbox');
Route::post('/admin/checkinbox', 'Admin\CheckController@updatecheckinbox');
Route::get('/admin/getinbox/{id}', 'Admin\CheckController@getinbox');
Route::get('/admin/delinbox/{id}', 'Admin\CheckController@delinbox');
Route::get('/admin/getcountrycontent/{country_code}', 'Admin\CheckController@getcountrycontent');
Route::get('getprice_sale/{country_code}/{weight}', 'PriceController@getprice_by_sale');
Route::get('/admin/emailpayment/{id}', 'Admin\EmailController@emailpayment');
Route::post('/admin/emailpayment', 'Admin\EmailController@sendemailpayment');
Route::get('/admin/show/{id}', 'Admin\RequestController@show_detail');
Route::resource('/admin/log_tracking', 'Admin\LogTrackingController');
Route::match(['PUT', 'POST', 'DELETE'], '/admin/log_tracking_group', 'Admin\LogTrackingController@storeGroup');
Route::get('/admin/log_tracking_all', 'Admin\LogTrackingController@show')->name('tracing_all');
Route::get('/admin/tracking/{group_id}', 'Admin\LogTrackingController@show_by_group')->name('tracing_by');
Route::post('/admin/log_tracking_assign', 'Admin\LogTrackingController@assign')->name('tracing_assign');
Route::get('/admin/log_tracking_get_tracing', 'Admin\LogTrackingController@getTracing');
Route::get('/admin/log_tracking_get_tracing_by/{group_id}', 'Admin\LogTrackingController@getTracingBy');
Route::get('/admin/log_tracking_get_tracing/{awb}', 'Admin\LogTrackingController@getTracing')->name('tracing_get');
Route::post('/admin/log_tracking_get_tracing/{awb}', 'Admin\LogTrackingController@updateTracing')->name('tracing_update');
Route::delete('/admin/log_tracking_get_tracing/{awb}', 'Admin\LogTrackingController@updateTracing')->name('tracing_delete');
Route::get('/admin/log_tracking_get_event/{awb}', 'Admin\LogTrackingController@getLog')->name('tracing_get_log');
Route::post('/admin/log_tracking_generate_event', 'Admin\LogTrackingController@generateLog')->name('tracing_generate_log');
Route::get('/admin/log_tracking_cf/{id}', 'Admin\LogTrackingController@log_tracking_cf');
Route::resource('/admin/discount', 'Admin\Disclog_tracking_allountController');
Route::get('/admin/inboxforlink', 'Admin\CheckController@inboxforlink');
Route::get('/admin/inboxforlink_getlink', 'Admin\CheckController@getlink');
Route::get('/admin/inboxforlink_del/{id}', 'Admin\CheckController@inboxforlink_del');
Route::get('/admin/introduce', 'Admin\QuotationController@introduce');
Route::post('/admin/introduce', 'Admin\QuotationController@send_introduce');
Route::post('/save_teamplete_mail_sms', 'Admin\QuotationController@save_teamplete');
Route::get('/delete_templete_mail_sms/{id}', 'Admin\QuotationController@delete_templete');
Route::get('/admin/check_payment_attachment', 'Admin\CheckController@check_payment_attachment');
Route::post('/admin/check_payment_attachment_search', 'Admin\CheckController@check_payment_attachment_search');
Route::post('/admin/check_payment_attachment_save', 'Admin\CheckController@check_payment_attachment_save');
Route::get('/admin/verify/{id}', 'Admin\CheckController@check_verify');

Route::get('checklog', 'Admin\LogTrackingController@checklog');
Route::post('/re_password/{id}', 'Admin\CustomerController@sendre_password');
// อันการส่งเมล in Tracking ยังไม่ได้เขียนเมทอตเช่นกัน
// Route::post('/admin/sent_mail','Admin\LogTrackingController@sent_mail');
Route::match(['GET', 'PUT', 'POST', 'DELETE'], '/admin/log_tracking_mail' ,'Admin\LogTrackingController@mail_tracking');
// สองอันนี้ สำหรับ Save and delete mail ใน manage_mail in Tracking  ยังไม่ได้เขียน เมทอตนะครับ
// Route::post('/log_tracking','Admin\LogTrackingController@save');
// Route::delete('/log_tracking/{id}','Admin\LogTrackingController@delete_mail');
